import { LitElement } from 'lit';
declare const UUICardElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectableMixinInterface) & typeof LitElement;
/**
 *  @element uui-card
 *  @fires {UUICardEvent} open - fires when the media card title is clicked
 *  @fires {UUICardEvent} select - fires when the media card is selected
 *  @fires {UUICardEvent} unselect - fires when the media card is unselected
 *  @description - Base card component to be extended by specific cards.
 */
export declare class UUICardElement extends UUICardElement_base {
    static styles: import("lit").CSSResult[];
    /**
     * Set to true to prevent opening of this item.
     * This does not prevent selection, selection is controlled by property 'selectable'
     * @type {boolean}
     * @attr disabled
     * @default false
     */
    disabled: boolean;
    /**
     * Set to true to highlight there is an error with this item.
     * @type {boolean}
     * @attr error
     * @default false
     */
    error: boolean;
    constructor();
    private toggleSelect;
    /** TODO: Move these methods to SelectMixin? */
    select(): void;
    deselect(): void;
    private handleSelectKeydown;
    protected handleOpenClick(e: Event): void;
    protected handleOpenKeydown(e: KeyboardEvent): void;
}
export {};
